Package org.eclipse.birt.chart.computation.withaxes

# Class VerticalAxesAdjuster

java.lang.Object
org.eclipse.birt.chart.computation.withaxes.VerticalAxesAdjuster

All Implemented Interfaces:
  `IAxisAdjuster`

public class VerticalAxesAdjuster extends Object implements IAxisAdjuster
The class is used to adjust vertical axes's location and scale.

Since:
  2.5

## Constructor Summary

Constructors
Constructor
Description
`VerticalAxesAdjuster(OneAxis[] verticalAxes, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)`
Constructor.

## Method Summary

Modifier and Type
Method
Description
`void`
`adjust()`
Adjust axis(axes) scale and location.
`void`
`adjust(boolean checkAxisLabel)`
Adjusts the axes.

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VerticalAxesAdjuster

public VerticalAxesAdjuster(OneAxis[] verticalAxes, OneAxis horizontalAxis, PlotWithAxes plotWithAxes, Bounds boPlot)
Constructor.

Parameters:
  `verticalAxes` -
  `horizontalAxis` -
  `plotWithAxes` -
  `boPlot` -

## Method Details

### adjust

public void adjust() throws ChartException
Description copied from interface: `IAxisAdjuster`
Adjust axis(axes) scale and location.

Specified by:
  `adjust` in interface `IAxisAdjuster`
Throws:
  `ChartException`

### adjust

public void adjust(boolean checkAxisLabel) throws ChartException
Adjusts the axes.

Parameters:
  `checkAxisLabel` - whether the axis label should be considered as a factor while computing coordinates and size of axis.
Throws:
  `ChartException`